/*---------------------------------------------------------------------------
    $Workfile: Recordset.h $ 	

    Description: Header file for CRecordset class.
    
    Copyright (C) 2000 KTS Computers
    All rights reserved.

   Author: Tom,Jais T Mathew
    Last $Modtime: 6/8/2002  $ 	        
    Last $Revision:  $ 	
    $History: $ 	
---------------------------------------------------------------------------*/
#ifndef _RECORDSET_H_
#define _RECORDSET_H_

#if !defined(AFX_RECORDSET_H__B81BD14E_98F0_42A7_A64F_3FA21F5A3E5D__INCLUDED_)
#define AFX_RECORDSET_H__B81BD14E_98F0_42A7_A64F_3FA21F5A3E5D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "Connection.h"

/*---------------------------------------------------------------------------
    Class Name: CRecordset

    Description: Wrapper class for ADO::Recordset	
---------------------------------------------------------------------------*/
class CRecordset  
{
public:
	long GetRecordCount();

	CRecordset(CConnection& rConn):m_rConn(rConn),m_pRecordset(NULL) {}
	virtual ~CRecordset();

	BOOL Open(LPCTSTR lpszSQL,...);
	
	BOOL GetFieldValueString(LPCTSTR lpszFieldName, CComBSTR& pbstrValue);
	BOOL GetFieldValue(LPCTSTR lpszFieldName, CComVariant& pvarValue);

	BOOL MoveNext();
	BOOL MoveFirst();
	BOOL IsEOF();
	BOOL IsBOF();

	BOOL Close();
	_Recordset*			m_pRecordset;
private:
	BOOL IsOpen();
	CComBSTR  FormatSQL(LPCTSTR lpszSQL, va_list args);

protected:
	
	CConnection&		m_rConn;
	
};

#endif // !defined(AFX_RECORDSET_H__B81BD14E_98F0_42A7_A64F_3FA21F5A3E5D__INCLUDED_)
#endif //_RECORDSET_H_