// StudentDatabaseView.cpp : implementation of the CStudentDatabaseView class
//

#include "stdafx.h"
#include "StudentDatabase.h"

#include "StudentDatabaseDoc.h"
#include "StudentDatabaseView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStudentDatabaseView

IMPLEMENT_DYNCREATE(CStudentDatabaseView, CView)

BEGIN_MESSAGE_MAP(CStudentDatabaseView, CView)
	//{{AFX_MSG_MAP(CStudentDatabaseView)
	ON_COMMAND(ID_STUDENTINFO_SHOWALLSTUDENTS, OnStudentinfoShowallstudents)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStudentDatabaseView construction/destruction

CStudentDatabaseView::CStudentDatabaseView()
{
	// TODO: add construction code here

}

CStudentDatabaseView::~CStudentDatabaseView()
{
}

BOOL CStudentDatabaseView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CStudentDatabaseView drawing

void CStudentDatabaseView::OnDraw(CDC* pDC)
{
	CStudentDatabaseDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	int X=100,Y=100;
	for(int i=0;i<m_StudentInfoArray.GetSize();i++)
	{
		CString strFormatedData;
		strFormatedData.Format("%s,               %d",
			m_StudentInfoArray[i].strName,m_StudentInfoArray[i].iAge);  	
		pDC->TextOut(X,Y,strFormatedData);
		Y=Y+50;
	}
}

/////////////////////////////////////////////////////////////////////////////
// CStudentDatabaseView printing

BOOL CStudentDatabaseView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CStudentDatabaseView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CStudentDatabaseView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CStudentDatabaseView diagnostics

#ifdef _DEBUG
void CStudentDatabaseView::AssertValid() const
{
	CView::AssertValid();
}

void CStudentDatabaseView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CStudentDatabaseDoc* CStudentDatabaseView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CStudentDatabaseDoc)));
	return (CStudentDatabaseDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CStudentDatabaseView message handlers

void CStudentDatabaseView::OnStudentinfoShowallstudents() 
{
	m_StudentInfoArray.RemoveAll();

	CString strInsertedDataQuery;
	strInsertedDataQuery.Format("SELECT * FROM STUDENT_INFO_TB");
	try
	{
		CRecordset ShowAllRec(((CStudentDatabaseApp*)AfxGetApp())->m_Connection);
		ShowAllRec.Open(strInsertedDataQuery);
		while(!ShowAllRec.IsEOF())
		{
			StudentInfo Info;
			CComBSTR strValue;
			ShowAllRec.GetFieldValueString("Name",strValue);
			Info.strName =strValue;
			int iAge=0;
			
			ShowAllRec.GetFieldValueString("Age",strValue);
			CString strAge=strValue;
			Info.iAge=atoi(strAge); 
			m_StudentInfoArray.Add(Info);
			ShowAllRec.MoveNext(); 
		}
		ShowAllRec.Close();
		Invalidate();
	}
	catch(_com_error &ex)
	{
		AfxMessageBox(ex.Description());
		return ;
	}
	
	catch(...)
	{
		AfxMessageBox("ID_EMP_ERROR_GENERIC");
		return ;

	}

	
}
