/*---------------------------------------------------------------------------
    $Workfile: Connection.h $

    Author: Tom,Jais T Mathew
    Last $Modtime: 6/8/2002 
    Last $Revision: 1 $
    $History: Connection.h $
 ---------------------------------------------------------------------------*/
#ifndef _CONNECTION_H_
#define _CONNECTION_H_

#if !defined(AFX_CONNECTION_H__EE2E886A_8A8A_4CC8_9A48_28681F64544B__INCLUDED_)
#define AFX_CONNECTION_H__EE2E886A_8A8A_4CC8_9A48_28681F64544B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#include<ADOINT.H>


#include <adoid.h>

/*---------------------------------------------------------------------------
    Class Name: CConnection

    Description: Wrapper class for ADOCE::Connection
---------------------------------------------------------------------------*/
class CConnection
{
public:
	CConnection():m_pConn(NULL)
	{
		CoInitialize(NULL);
	}
	virtual ~CConnection();

	HRESULT Close();

	operator _Connection*() {return m_pConn; }
	HRESULT Open(LPCTSTR lpszConnection, LPCTSTR lpszUserName,LPCTSTR lpszPassword);
	BOOL IsOpen();
private:
	

protected:	
	_Connection*		m_pConn;
public:
	_Connection* GetConnection()
	{
		return m_pConn;
	}
};

#endif // !defined(AFX_CONNECTION_H__EE2E886A_8A8A_4CC8_9A48_28681F64544B__INCLUDED_)
#endif //_CONNECTION_H_
